//
//  CEFirstViewController.h
//  DemoCustomXmliOSApi
//
//  Created by sviluppo on 26/03/14.
//  Copyright (c) 2014 CUSTOM. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CPTiOSApi/CustomXmliOSApi.h>
#import <CPTiOSApi/CustomXmlDictionaryItem.h>
#import "CESecondViewController.h"
#import "CustomiOSApi.h"

@interface CEFirstViewController : UIViewController
{
    CustomXmliOSApi* customXmliOsApi;
    NSString * antialiasText;
    NSString * antialiasShape;
    CustomiOSApi* customiOsApi;
    CustomPrinter* currentCustomPrn;
    IBOutlet UITableView *tableProjects;
    NSMutableArray *projectsArray;
    NSArray *paramsArray;
    
@private
    NSString * selectedProjectName;
    NSString * lastOpenedProjectName;
    NSInteger iProjectSelected;
}

- (IBAction)ButtonRefreshProjectsTouchDown:(id)sender;
- (IBAction)ButtonLoadProjectsTouchDown:(id)sender;
- (IBAction)ButtonDeleteProjectsTouchDown:(id)sender;
- (IBAction)ButtonDeleteAllProjectsTouchDown:(id)sender;


@property (nonatomic, retain) NSMutableArray *projectsArray;
@property (nonatomic, retain) UITableView* tableProjects;
@property(nonatomic,retain) CustomXmliOSApi* customXmliOsApi;
@property (nonatomic, retain) NSArray *paramsArray;
@property(nonatomic,retain) NSString* antialiasText;
@property(nonatomic,retain) NSString* antialiasShape;

@property(nonatomic,retain) CustomPrinter* currentCustomPrn;
@property(nonatomic,retain) CustomiOSApi* customiOsApi;

+ (UIAlertView*) CreateOverMessage:(NSString*)strTitle;
+(CEFirstViewController*)getInstance;

@end
