//
//  CustomXmlDictionaryItem.h
//  CustomXmlTest
//
//  Created by sviluppo on 19/03/14.
//  Copyright (c) 2014 CUSTOM. All rights reserved.
//

#import <Foundation/Foundation.h>


/// <summary>
/// Dictionary Item class for CustomXmliOSApi
/// </summary>
@interface CustomXmlDictionaryItem : NSObject
{
	
@public
    /// <summary>
    /// Tag to find inside Xml
    /// </summary>
	NSString * Tag;
    /// <summary>
    /// Value found and associated with Tag
    /// </summary>
	NSString * Value;
}

/// <summary>
/// Create CustomXmlDictionaryItem object with tag and value
/// </summary>
/// <param name="tag">Tag to find inside Xml</param>
/// <param name="value">Value associated with Tag</param>
/// <returns></returns>

-(id)initCustomXmlDictionaryItem:(NSString*)tag :(NSString*)value;
@end