/*
    * This document contains programming examples.
    * 
    * Custom Engineering grants you a nonexclusive copyright license to use all programming code examples from which you can generate similar function tailored to your own specific needs.
    * 
    * All sample code is provided by Custom Engineering for illustrative purposes only. These examples have not been thoroughly tested under all conditions. 
    * Custom Engineering, therefore, cannot guarantee or imply reliability, serviceability, or function of these programs.
    * 
    * In no event shall Custom Engineering be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not limited to, procurement of substitute goods or services; loss of use, data, or profits; or business interruption) however caused and on any theory of liability, whether in contract, strict liability, or tort 
    * (including negligence or otherwise) arising in any way out of the use of this software, even if advised of the possibility of such damage.
    * 
    * All programs contained herein are provided to you "as is" without any warranties of any kind.
    * The implied warranties of non-infringement, merchantability and fitness for a particular purpose are expressly disclaimed.
    *  
    */
#ifndef _INPUTDIALOG__H_
#define _INPUTDIALOG__H_

#include "ui_InputDialog.h"




 class InputDialog : public QDialog, private Ui::Dialog
 {
     Q_OBJECT

 public:
	InputDialog(QWidget *parent = 0,  QApplication * qa = 0);	

 private:
        void ConnectObjects();

 private slots:
        void buttonPrintPressed();
	void buttonPrintMacroPressed();
	void buttonClosePressed();
	void buttonSelectPressed();
	void buttonParamPressed();


private:
        QApplication * m_qapp;

};

#endif